/* PRESET CSS */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
html, 
body {
    width: 100%;
    height: auto;
}
img {
    max-width: 100%;
}
a, a:hover {
    text-decoration: none;
}
ul, li {
    margin: 0;
    padding: 0;
    list-style: none;
}
.hide {
    display: none !important;
}
/* HEADER */
.top-header{
  background:#fff;
  padding:10px 15px;
  display:flex;
  align-items:center;
  gap:15px;
  border-bottom:1px solid #ddd;
}

/* MENU */
.menu-btn{
  font-size:22px;
  cursor:pointer;
  color:#333;
}

/* LOGO */
.logo{
  display:flex;
  align-items:center;
  gap:8px;
  text-decoration:none;
}

.logo img{
  width:34px;
  height:34px;
  object-fit:contain;
}

.logo span{
  font-size:18px;
  font-weight:700;
  color:#222;
}

/* SEARCH BAR */
.search-box{
  margin: 0 15px;
  display:flex;
  align-items:center;
  background:#fff;
  border:1px solid #ddd;
  border-radius:6px;
  overflow:hidden;
  height:42px;
}

/* COUNTRY */
.country {
    display: flex;
    align-items: center;
    padding: 15px 13px;
    background: #f3f3f3;
    cursor: pointer;
    white-space: nowrap;
    border-right: 1px solid #ddd;
}
.country img{
  width:20px;
}

.country i{
  font-size:12px;
  color:#666;
}

/* INPUT */
.search-box input{
  flex:1;
  height:100%;
  border:none;
  outline:none;
  padding:0 15px;
  font-size:16px;
  min-width: 100px;
}

/* RIGHT ICONS */
.search-actions{
  display:flex;
  align-items:center;
  height:100%;
}

.search-actions button{
  width:45px;
  height:100%;
  border:none;
  background:#0a8f3d;
  color:#fff;
  cursor:pointer;
  font-size:18px;
  transition:.3s;
}

.search-actions button:hover{
  background:#087532;
}

.camera-btn{
  background:#fff !important;
  color:#222 !important;
  border-left:1px solid #ddd !important;
}

.camera-btn:hover{
  background:#f5f5f5 !important;
}
/* HEADER CSS */
.nav-wrapper {
    display: flex;
    align-items: center;
    padding: 5px 15px;
}

.site-logo img {
    max-width: 155px;
    margin-left: 10px;
}

.nav-wrapper button {
    border: none;
    background-color: transparent;
}

.nav-wrapper button svg {
    width: 30px;
    height: auto;
    display: inline-block;
    color: #000;
}
/* Hero CSS */
.hero {
    padding-top: 1rem;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
}
.hero img {
    width: 100%;
    height: auto;
    max-height: 450px;
    max-width: 100%;
    border-radius: 0.5rem;
}
@media (max-width: 600px) {
    .hero img {
        max-height: 200px;
    }
}
/* Site Footer */
.site-footer {
    background-color: #1a1a1a;
    padding: 24px 16px 16px;
    margin-bottom: 50px;
}

.footer-widgets-wrapper {
    display: flex;
    flex-direction: column;
    gap: 20px;
}

p.footer-widget-about {
    font-size: 13px;
    color: #999;
    margin: 0 0 12px;
    line-height: 1.9;
}

.footer-widget-contact {
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.footer-widget-contact a, 
.footer-widget-contact-item {
    display: flex;
    align-items: center;
    color: #999;
    gap: 10px;
    font-size: 14px;
    text-decoration: none;
    transition: all 0.5s  ease;
    word-break: break-all;
}

.footer-widget-contact svg {
    color: #ffa2a2;
    width: 16px;
    height: 16px;
    flex-shrink: 0;
}
.footer-widget-title {
    font-size: 14px;
    text-transform: uppercase;
    color: #fff;
    letter-spacing: 0.5px;
    font-weight: 600;
    margin: 0 0 12px;
}
.footer-widget-menu ul li {
    list-style: none;
}
.footer-widget-menu ul li a {
    color: #999;
    text-decoration: none;
    font-size: 14px;
    transition: 0.5s ease;
}
.footer-widget a:hover {
    color: #fff;
}
 
.site-copyright {
    border-top: 1px solid #333;
    padding-top: 16px;
}
.site-copyright p {
    color: #999;
    font-size: 12px;
    text-align: center;
    margin: 0;
}
/* Bottom Nav CSS */
.bottom-nav {
    position: fixed;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    width: 100%;
    max-width: 480px;
    z-index: 1000;
    background-color: #fff;
    display: flex;
    align-items: stretch;
    box-shadow: 0 -1px 6px rgb(0 0 0 / 10%);
}

.bottom-nav-item {
    display: flex;
    flex-direction: column;
    flex: 1;
    align-items: center;
    justify-content: center;
    gap: 2px;
    padding: 6px 2px 8px;
    font-size: 10px;
    color: #767676;
    text-decoration: none;
    font-weight: 500;
    border: none;
    outline: none;
    position: relative;
    background: transparent;
    min-height: 40px;
    user-select: none;
    transition: 0.5s ease;
}

.bottom-nav-item svg {
    width: 20px;
    height: 20px;
    transition: 0.5s ease;
    flex-shrink: 0;
}

.bottom-nav-item span {
    line-height: 1;
    white-space: nowrap;
}
.nav-icon-wrapper {
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
}

.nav-icon-wrapper .cart-badge {
    position: absolute;
    font-size: 9px;
    font-weight: 700;
    color: #fff;
    background-color: #f00;
    min-width: 15px;
    height: 15px;
    padding: 0 4px;
    border-radius: 8px;
    border: 1.5px solid #fff;
    line-height: 1;
    display: flex;
    justify-content: center;
    align-items: center;
    top: -4px;
    right: -8px;
}
/* Sidebar CSS */
.sidebar-widget {
    position: fixed;
    top: 0;
    left: -295px;
    width: 300px;
    height: 100vh;
    background-color: #fff;
    padding-top: 1.5rem;
    padding-bottom: 1.5rem;
    padding-right: 0.5rem;
    box-shadow: 0 1px 3px rgb(0 0 0 / 50%); 
    transition: 0.5s ease;
    z-index: 99999;
}
.sidebar-widget.active {
    left: 0;
}
.overlay{
  position:fixed;
  inset:0;
  background:rgba(0,0,0,0.4);
  opacity:0;
  visibility:hidden;
  transition:0.3s;
}

.overlay.active{
  opacity:1;
  visibility:visible;
}
.widget-wrapper {
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    padding-right: 1rem;
    padding-left: 1rem;
}
.widget-header {
    display: flex;
    padding-bottom: 1rem;
    margin-bottom: 10px;
    justify-content: flex-start;
    align-items: center;
    gap: 8px;
}
.widget-header i {
    font-size: 20px;
}
.widget-header h2 {
    margin-bottom: 5px;
    font-size: 28px;
    font-weight: bold;
}
.widget-box {
    border: 1px solid #ddd;
    border-radius: 10px;
    padding: 8px 10px;
    margin-bottom: 10px;
}

.widget-box h3 {
    font-size: 14px;
    margin-bottom: 0;
    font-weight: bold;
    color: #333;
}

.widget-box p {
    font-size: 13px;
    color: #444;
    margin: 0;
}

.widget-box .d-flex {
    justify-content: space-between;
}

.widget-box i {
    font-size: 14px;
    display: inline-block;
    width: 23px;
    height: 23px;
    line-height: 23px;
    background-color: #ddd;
    border-radius: 25px;
    text-align: center;
    margin-top: 6px;
}
.sidebar-widget .close-btn {
    position: absolute;
    top: 5px;
    right: 5px;
    background: #f3f3f3;
    width: 35px;
    height: 35px;
    line-height: 35px;
    text-align: center;
    border-radius: 25px;
    box-shadow: 0 1px 3px #f0f0f0;
    cursor: pointer;
}
/* Categories CSS */
.categories {
    padding-top: 1rem;
    padding-bottom: 1.5rem;
    padding-left: 0.75rem;
    padding-right: 0.75rem;
}
.cate-wrapper {
    display: grid;
    gap: 0.5rem;
    grid-template-columns: repeat(4, minmax(0,1fr));
}
.categories a {
    box-shadow: 0 2px 12px #e4ebf5;
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
    padding-left: 0.375rem;
    padding-right: 0.375rem;
    background-color: #fff;
    border-radius: 0.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: inherit;
    text-decoration: none;
}
.icon-wrap {
    display: flex;
    justify-content: center;
}
.categories svg {
    display: block;
    vertical-align: middle;
    max-width: 100%;
    width: 1.5rem;
    height: auto;
    color: #ff5e00;
}
.categories p {
    color: #333;
    font-size: 14px;
    margin-top: 6px;
    margin-bottom: 0;
    line-height: 1rem;
    text-align: center;
    word-break: break-word;
    font-weight: 500;
}